
Redmine - Patch #27885

Empty email attachments are imported to Redmine, creating broken DB records

2018-01-03 14:27 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 3.3.6   

Description

Redmine generally disallows empty or 0-byte-sized attachments, this is not checked when importing attachments from emails

through the MailHandler though.

In the case of an empty email attachment, an Attachment record is created, though without disk_filename, disk_directory and digest.

The attachment is then shown in the attachment list of the issue, but clicking on the attachment link to see the attachment or to

download it leads to an error, as there is no file on disk for that attachment.

Associated revisions

Revision 17147 - 2018-01-07 22:46 - Jean-Philippe Lang

Empty email attachments are imported to Redmine, creating broken DB records (#27885).

Patch by Felix Schäfer.

Revision 17148 - 2018-01-07 22:47 - Jean-Philippe Lang

Merged r17147 to 3.4-stable (#27885).

Revision 17149 - 2018-01-07 22:48 - Jean-Philippe Lang

Merged r17147 to 3.3-stable (#27885).

History

#1 - 2018-01-03 14:39 - Felix Schäfer

- File 27885.patch added

The attached patch fixes this issues and adds a test for that case. The fixture email is copied from the ticket_with_attachment.eml fixture and adapted

accordingly. It is probably also possible to merge this test into the general attachments for emails test in that same test file.

It might also be possible and a good idea to switch to ActsAsAttachable#save_attachments to save email attachments in the MailHandler, as in that

case attachment handling in the MailHandler would not need to be manually synced with the logic of other places.

#2 - 2018-01-05 05:17 - Go MAEDA

- Target version set to 3.3.6

LGTM.

The fix also can be applied to 3.4-stable and 3.3-stable. Setting target version to 3.3.6.

#3 - 2018-01-07 22:48 - Jean-Philippe Lang

- Status changed from New to Closed

Committed, thanks.

#4 - 2018-01-08 07:35 - Felix Schäfer

Thank you!

Files

27885.patch 3.42 KB 2018-01-03 Felix Schäfer

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

http://www.tcpdf.org

